> For the complete documentation index, see [llms.txt](https://docs.dikesoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dikesoft.com/reference/injection-tokens/grid-structure.md).

# Grid Structure

## Grid Size

### GRID\_WIDTH

This Injection Token modifies the width of the DikeGrid instances.

```typescript
const GRID_WIDTH: InjectionToken<string>;
```

### GRID\_HEIGHT

This Injection Token modifies the height of the DikeGrid instances.

```typescript
const GRID_HEIGHT: InjectionToken<string>;
```

## Header

### HEADER\_ROW\_HEIGHT

This Injection Token modifies the height of the column headers.

```typescript
const HEADER_ROW_HEIGHT: InjectionToken<number>;
```

## Row Filter

### FILTER\_ROW\_HEIGHT&#x20;

This Injection Token modifies the height of the Row Filter.

```typescript
const FILTER_ROW_HEIGHT: InjectionToken<number>;
```

## Rows

### CONTENT\_ROW\_HEIGHT

This Injection Token modifies the height of every displayed row.

```typescript
const CONTENT_ROW_HEIGHT: InjectionToken<number>;
```

## Panels

### DIVISION\_PANEL\_GAP

This Injection Token modifies the default space between two adjacent panels.

```typescript
const DIVISION_PANEL_GAP: InjectionToken<number>;
```

### DIVISION\_PANEL\_LINE\_WIDTH

This Injection Token modifies the default panel-division-line width.

```typescript
const DIVISION_PANEL_LINE_WIDTH: InjectionToken<number>;
```

### DIVISION\_PANEL\_LINE\_WIDTH\_RESIZING

This Injection Token modifies the panel division line width when the panel is resizing.

```typescript
const DIVISION_PANEL_LINE_WIDTH_RESIZING: InjectionToken<number>;
```

### ROW\_GROUPING\_ROW\_HEIGHT.

This Injection Token modifies the height of the Group Panel.

```typescript
const ROW_GROUPING_ROW_HEIGHT: InjectionToken<number>;
```

### ROW\_GROUPING\_COLUMN\_HEIGHT

This Injection Token modifies the columns' height in the Group Panel.

```typescript
const ROW_GROUPING_COLUMN_HEIGHT: InjectionToken<number>;
```

### ROW\_GROUPING\_INDENT

This Injection Token shows or hides the indent per row.

```typescript
const ROW_GROUPING_INDENT: InjectionToken<boolean>;
```

### ROW\_GROUPING\_INDENT\_WIDTH&#x20;

This Injection Token modifies the width of the indent per row.

```typescript
const ROW_GROUPING_INDENT_WIDTH: InjectionToken<boolean>;
```

## Edition Toolbar

### EDITION\_TOOLBAR\_ROW\_HEIGHT.&#x20;

This Injection Token modifies the height of the Edition Toolbar Row.&#x20;

```typescript
const EDITION_TOOLBAR_ROW_HEIGHT: InjectionToken<number>;
```

### EDITION\_TOOLBAR\_ITEM\_HEIGHT&#x20;

This Injection Token modifies the height of items contained in the Edition Toolbar Row.

```typescript
const EDITION_TOOLBAR_ITEM_HEIGHT: InjectionToken<number>;
```

## Paginator

### PAGINATION\_ROW\_HEIGHT

This Injection Token modifies the height of the Pagination Row.

```typescript
const PAGINATION_ROW_HEIGHT: InjectionToken<number>;
```

## Borders

### BORDER\_WIDTH

This Injection Token modifies the border width of the primary DikeGrid container.

```typescript
const BORDER_WIDTH: InjectionToken<number>;
```

### BORDER\_GAP

This Injection Token modifies the space between the primary DikeGrid container and its external boundary.

```typescript
const BORDER_GAP: InjectionToken<number>;
```

## Column Context Menu

### COLUMN\_CONTEXT\_MENU

To suppress the context menu for all defined columns, provide this Injection Token with a false value.

```typescript
const COLUMN_CONTEXT_MENU: InjectionToken<boolean>;
```

### COLUMN\_CONTEXT\_MENU\_WIDTH

This Injection Token modifies the width of the column context menu.

```typescript
const COLUMN_CONTEXT_MENU_WIDTH: InjectionToken<number>;
```

### COLUMN\_CONTEXT\_MENU\_HEIGHT

This Injection Token modifies the height of the column context menu.

```typescript
const COLUMN_CONTEXT_MENU_HEIGHT: InjectionToken<number>;
```

## Waiting Indicator

### LOADING\_MESSAGE

This Injection Token modifies the message displayed when the DikeGrid instance is waiting for the rows of data.

```typescript
const LOADING_MESSAGE: InjectionToken<string>;
```

### PROCESSING\_MESSAGE

This Injection Token modifies the message displayed when the DikeGrid instance is waiting for an edition operation.

```typescript
const PROCESSING_MESSAGE: InjectionToken<string>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/injection-tokens/grid-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
